echo off
rem   -------------------------
rem   RAM disk bootstrap module
rem   SAIL Version 1.20
rem   -------------------------
rem
rem   This batch file copies SAIL.EXE into a RAM disk.  The advantage
rem   of having SAIL.EXE on a RAM disk is that the loading speed is 
rem   greatly increased in subsequent editing sessions.
rem   
rem   For this BATCH file to work, this file (itself) must be named 
rem   SAIL.BAT, and it must exist in the \bat directory of drive C:.
rem
rem   In addition, the RAM disk must be defined as drive D:.
rem   The SAIL.EXE file must be in the \usr directory of drive C:.
rem   
rem   Your PATH must also be similar to the following:
rem
rem       PATH=D:\;C:\BAT;C:\USR
rem
rem   ---------
rem   Algorithm
rem   ---------
rem
rem   If SAIL.EXE (or SAIL.BAT) is not found in the current directory, 
rem   DOS will look for SAIL on drive d: (the RAM disk).  Not finding 
rem   it there, DOS looks for SAIL in the \bat directory of drive c:, 
rem   where it finds (and executes) this BATCH program.
rem
rem   Upon execution, this batch file copies SAIL.EXE from the \usr 
rem   directory of drive c: to the RAM disk, then calls SAIL.
rem
rem   Editing then continues as if SAIL.EXE had been called directly.
rem 
rem   However, the second time SAIL is called, DOS will find SAIL on 
rem   the RAM disk, and, not having to load SAIL again from a slow disk,
rem   jumps directly into SAIL.
rem
rem   Note that all statements in this file beginning with REM are
rem   ignored by DOS, and thus are not needed.
rem
rem
rem   -----------------------------------------------------------------
rem   Check if SAIL.EXE is already on the RAM disk.
if exist d:sail.exe goto skip
rem
rem   -----------------------------------------------------------------
rem   Copy SAIL.EXE from the \usr directory of drive c: to the RAM disk
rem   (drive d:).
copy c:\usr\sail.exe d:sail.exe >nul
rem 
rem   -----------------------------------------------------------------
rem   Execute SAIL from the RAM disk.
rem
:skip
d:sail %1 %2 %3 %4 %5 %6 %7 %8 %9
